import request from '@/utils/request'

// 查询安全准入申请列表
export function listApply(query) {
  return request({
    url: '/laboratory/apply/list',
    method: 'get',
    params: query
  })
}

// 查询安全准入申请详细
export function getApply(id) {
  return request({
    url: '/laboratory/apply/' + id,
    method: 'get'
  })
}

// 新增安全准入申请
export function addApply(data) {
  return request({
    url: '/laboratory/apply',
    method: 'post',
    data: data
  })
}

// 修改安全准入申请
export function updateApply(data) {
  return request({
    url: '/laboratory/apply',
    method: 'put',
    data: data
  })
}

// 删除安全准入申请
export function delApply(id) {
  return request({
    url: '/laboratory/apply/' + id,
    method: 'delete'
  })
}
